Bug 1288398 - [abrt] bluez: strlen(): obexd killed by SIGSEGV
[abrt] bluez: strlen(): obexd killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cded80b20cac71285d032522656...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 01:18 EST by 汪明衡
Modified: 2016-09-19 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-19 15:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.99 KB, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: core_backtrace (3.81 KB, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: dso_list (2.23 KB, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: environ (854 bytes, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: maps (10.90 KB, text/plain)
2015-12-04 01:19 EST, 汪明衡
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-12-04 01:20 EST, 汪明衡
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-04 01:20 EST, 汪明衡
no flags Details
File: open_fds (506 bytes, text/plain)
2015-12-04 01:20 EST, 汪明衡
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-12-04 01:20 EST, 汪明衡
no flags Details
File: var_log_messages (492 bytes, text/plain)
2015-12-04 01:20 EST, 汪明衡
no flags Details

  None (edit)
Description 汪明衡 2015-12-04 01:18:48 EST
Description of problem:
Just try sending a file to phone, and it also fails.

Version-Release number of selected component:
bluez-5.36-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/obexd
crash_function: strlen
executable:     /usr/libexec/bluetooth/obexd
global_pid:     4661
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 dbus_connection_get_object_path_data at ../../dbus/dbus-connection.c:5910
 #2 g_dbus_emit_property_changed_full at gdbus/object.c:1735
 #3 g_dbus_emit_property_changed at gdbus/object.c:1773
 #4 transfer_set_status at obexd/client/transfer.c:212
 #6 xfer_complete at obexd/client/transfer.c:673
 #7 transfer_complete at gobex/gobex-transfer.c:103
 #8 transfer_abort_response at gobex/gobex-transfer.c:124
 #9 handle_response at gobex/gobex.c:1128
 #10 incoming_data at gobex/gobex.c:1373
Comment 1 汪明衡 2015-12-04 01:19:07 EST
Created attachment 1102138 [details]
File: backtrace
Comment 2 汪明衡 2015-12-04 01:19:10 EST
Created attachment 1102139 [details]
File: cgroup
Comment 3 汪明衡 2015-12-04 01:19:13 EST
Created attachment 1102140 [details]
File: core_backtrace
Comment 4 汪明衡 2015-12-04 01:19:20 EST
Created attachment 1102141 [details]
File: dso_list
Comment 5 汪明衡 2015-12-04 01:19:24 EST
Created attachment 1102142 [details]
File: environ
Comment 6 汪明衡 2015-12-04 01:19:36 EST
Created attachment 1102143 [details]
File: exploitable
Comment 7 汪明衡 2015-12-04 01:19:49 EST
Created attachment 1102144 [details]
File: limits
Comment 8 汪明衡 2015-12-04 01:19:57 EST
Created attachment 1102145 [details]
File: maps
Comment 9 汪明衡 2015-12-04 01:20:03 EST
Created attachment 1102146 [details]
File: mountinfo
Comment 10 汪明衡 2015-12-04 01:20:07 EST
Created attachment 1102147 [details]
File: namespaces
Comment 11 汪明衡 2015-12-04 01:20:10 EST
Created attachment 1102148 [details]
File: open_fds
Comment 12 汪明衡 2015-12-04 01:20:17 EST
Created attachment 1102149 [details]
File: proc_pid_status
Comment 13 汪明衡 2015-12-04 01:20:20 EST
Created attachment 1102150 [details]
File: var_log_messages
Comment 14 Don Zickus 2016-08-04 22:09:25 EDT
Hi,

I believe this is resolved with bluez-5.41.  Can you test that and let me know.

Cheers,
Don
Comment 15 Don Zickus 2016-08-04 22:10:22 EDT
Hi,

I believe this is resolved in bluez-5.41.  Can you try that and let me know.

Cheers,
Don
Comment 16 Don Zickus 2016-09-19 15:09:06 EDT
Hi,

Closing as I believe this is resolved.

Cheers,
Don

Note You need to log in before you can comment on or make changes to this bug.